#heroSection {
    position: relative;
    padding-top: 120px; padding-bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: 300px;
}

.heroLeft {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-left: 5%;
    width: 60%;
    height: 80%;
}

.heroLeft h1 {
    color: #3e2560;
    font-size: clamp(18px, 3vw, 3rem);
    padding-right: 100px;
}

.heroLeft p {
    color: rgba(62, 37, 96, 0.85);
    font-size: clamp(13px, 2vw, 1.2rem);
    font-weight: 500;
    padding-right: 10%;
}

.heroLeft a {
    font-size: clamp(13px, 2vw, 15px);
    text-align: center;
    text-decoration: none;
    color: white;
    font-weight: bold;
    border-radius: 10px;
    text-transform: uppercase;

    padding: 10px 0;
    background-color: #3e2560;
    transition: 0.3s;
}

.heroLeft a:hover {
    border-radius: 5px;
    scale: 0.99;
    cursor: pointer;
}

#heroImage {
    margin-right: 5%;
    width: 28%;
    height: 80%;
    background-size: cover;
    background-position: center;
    transition: opacity 0.6s ease;
    border-radius: 10px;
}

@media (max-width: 900px) {
    .heroLeft {width: 47%;}
    #heroImage {width: 40%;}
}
@media (max-width: 700px) {#heroSection {height: 200px;}}
@media (max-width: 500px) {
    #heroSection {
        flex-direction: column;
        margin-bottom: 230px;
    }
    .heroLeft {
        position: relative;
        margin: 250px 0;
        width: 100%;
    }
    .heroLeft h1, .heroLeft p, .heroLeft a {padding: 0; margin: 0 auto; text-align: center;}
    .heroLeft p {padding: 0 50px;}
    .heroLeft a {width: 80%; padding: 8px 0; margin-top: 20px;}
    #heroImage {
        margin: 0;
        position: absolute;
        top: 130px;
        width: 90%;
        height: 220px;
    }
}

/* Section Layout */
.ticket-section {
    width: 100%;
    padding: 60px 20px;
    display: flex;
    justify-content: center;
}

/* Container */
.ticket-container {
    max-width: 700px;
    text-align: center;
}

/* Title */
.ticket-title {
    font-size: 2rem;
    margin-bottom: 15px;
    color: #3e2560;
}

/* Description */
.ticket-description {
    font-size: 1.1rem;
    line-height: 1.6;
    margin-bottom: 30px;
    color: #555;
}

/* Button */
.ticket-button {
    display: inline-block;
    padding: 14px 28px;
    background: #3e2560; /* primary color */
    color: white;
    font-size: 1.1rem;
    border-radius: 8px;
    text-decoration: none;
    transition: 0.25s ease;
}

/* Hover */
.ticket-button:hover {
    background: #2E3A45;
    transform: translateY(-2px);
}

/* Responsive */
@media (max-width: 600px) {
    .ticket-title {
        font-size: 1.7rem;
    }

    .ticket-description {
        font-size: 1rem;
    }

    .ticket-button {
        width: 100%;
        padding: 16px;
        font-size: 1.1rem;
    }
}
